import React, { Component } from 'react';

class DataView extends Component {
  constructor(props) {
    super(props);

    this.state = { data: [] };
  }    
  
  componentWillMount() {
    console.log('mounted...');
  }

  componentWillUnmount() {
    console.log('unmounted...');
  }

  updateData(data) {
    this.setState({
      data: data.slice().sort((data1, data2) => data1.value - data2.value)
    });
  }
  
  render() {
    return (
      <div>
        <p>React Values</p>
        {
          this.state.data.map(data => <span key={data.id}>{ data.value }<br/></span>)
        }
      </div>
    );
  }
}
                   
export default DataView;